#ifndef __gui__widgets__poster_h
#define __gui__widgets__poster_h
#include <QFrame>
#include <QImage>

class QWidget;
class ClickableLabel;
namespace Anime {
class Anime;
}

class Poster final : public QFrame {
		Q_OBJECT

	public:
		Poster(QWidget* parent = nullptr);
		Poster(const Anime::Anime& anime, QWidget* parent = nullptr);
		void SetAnime(const Anime::Anime& anime);

	protected:
		void resizeEvent(QResizeEvent*) override;
		void ImageDownloadFinished(const QByteArray& arr);
		void RenderToLabel();

	private:
		QImage img;
		ClickableLabel* label;
};

#endif // __gui__widgets__poster_h